Skip to content

upsertItemPurchasing

WRITE

Upsert item purchasing.

POST /api/v1/items/upsertItemPurchasing
curl -X POST '<your-host>/api/v1/items/upsertItemPurchasing' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "conversionFactor": 0,
    "leadTime": 0
  }'

Parameters

ParameterType
min 0
min length 1
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "preferredSupplierId": {
      "type": "string"
    },
    "conversionFactor": {
      "type": "number",
      "minimum": 0
    },
    "leadTime": {
      "type": "number",
      "minimum": 0
    },
    "purchasingUnitOfMeasureCode": {
      "type": "string"
    }
  },
  "required": [
    "itemId",
    "conversionFactor",
    "leadTime"
  ]
}